Public Attributes | List of all members
app_spi_screen_config_t Struct Reference
Peripheral Driver » APP DRIVER » SPI » Structures

SPI SCreen Config Structures. More...

`#include <app_spi_dma.h>`

## Public Attributes
uint8_t | instruction
| screen instruction, such as 0x02 More...
uint32_t | leading_address
| control address started from origin, such as 0x002C00 More...
uint32_t | ongoing_address
| control address started from last position, such as 0x003C00 More...
uint32_t | data_xfer_width
| data width, SPI_DATASIZE_8BIT SPI_DATASIZE_16BIT More...
uint32_t | buff_pixel_stride
| row stride in pixel More...
uint32_t | buff_pixel_width
| show width in pixel, usually buff_pixel_width <= buff_pixel_stride More...
uint32_t | buff_pixel_height
| column height in pixel More...
uint32_t | buff_pixel_depth
| Just support 2 now (means 16bit). More...

## Detailed Description

SPI SCreen Config Structures.

Definition at line 73 of file app_spi_dma.h.

## Member Data Documentation

## ◆ buff_pixel_depth

uint32_t app_spi_screen_config_t::buff_pixel_depth

Just support 2 now (means 16bit).

Definition at line 81 of file app_spi_dma.h.

## ◆ buff_pixel_height

uint32_t app_spi_screen_config_t::buff_pixel_height

column height in pixel

Definition at line 80 of file app_spi_dma.h.

## ◆ buff_pixel_stride

uint32_t app_spi_screen_config_t::buff_pixel_stride

row stride in pixel

Definition at line 78 of file app_spi_dma.h.

## ◆ buff_pixel_width

uint32_t app_spi_screen_config_t::buff_pixel_width

show width in pixel, usually buff_pixel_width <= buff_pixel_stride

Definition at line 79 of file app_spi_dma.h.

## ◆ data_xfer_width

uint32_t app_spi_screen_config_t::data_xfer_width

data width, SPI_DATASIZE_8BIT SPI_DATASIZE_16BIT

Definition at line 77 of file app_spi_dma.h.

## ◆ instruction

uint8_t app_spi_screen_config_t::instruction

screen instruction, such as 0x02

Definition at line 74 of file app_spi_dma.h.

## ◆ leading_address

uint32_t app_spi_screen_config_t::leading_address

control address started from origin, such as 0x002C00

Definition at line 75 of file app_spi_dma.h.

## ◆ ongoing_address

uint32_t app_spi_screen_config_t::ongoing_address

control address started from last position, such as 0x003C00

Definition at line 76 of file app_spi_dma.h.

The documentation for this struct was generated from the following file:

- app_spi_dma.h